Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations
GETHardware SDN Controller OperationsSince 5.4.0SynchronousAuth Required

QueryHuaweiIMasterTenant

QueryHuaweiIMasterTenant

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the operation succeeds.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • fabricIdsStringRequired

      No description provided.

    • sdnControllerUuidStringRequired

      No description provided.

    • deletedBooleanRequired

      已删除。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

  • errorErrorCodeRequired

    See error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The brief description of the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/sdn-controller/huawei-imaster/tenants

/zstack/v1/sdn-controller/huawei-imaster/tenants

Operation ID

QueryHuaweiIMasterTenant

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/sdn-controller/huawei-imaster/tenants' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "4ca38813eb493b34a95f9f506c97f92d", "name": "tenant1", "description": "sdn for test", "fabricIds": [ "5c9a525042c53d559350692d45de92b3" ] } ] }

Change History

This API has no change history records yet.

View all change history